List installed Add-ons
List all of the Add-ons installed on your account.
Addon's are pieces of functionality that developers can write to insert new functionality into PagerDuty's UI.
For more information see the API Concepts Document
Scoped OAuth requires: addons.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseArray of additional Models to include in response.
Value in
- "services"
Filters the results, showing only Add-ons for the given services
Filters the results, showing only Add-ons of the given type
Value in
- "full_page_addon"
- "incident_show_addon"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Get an Add-on GET
Get details about an existing Add-on. Addon's are pieces of functionality that developers can write to insert new functionality into PagerDuty's UI. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#add-ons) Scoped OAuth requires: `addons.read`
Update an Add-on PUT
Update an existing Add-on. Addon's are pieces of functionality that developers can write to insert new functionality into PagerDuty's UI. Given a configuration containing a `src` parameter, that URL will be embedded in an `iframe` on a page that's available to users from a drop-down menu. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#add-ons) Scoped OAuth requires: `addons.write`